Page MenuHomePhabricator

[ELF][Hexagon] Add duplex to R_HEX_GOT_16_X
AcceptedPublic

Authored by bcain on Apr 10 2020, 8:49 AM.

Details

Summary

Building 'espresso' from llvm-test-suite revealed missing support
for duplex instructions with R_HEX_GOT_16_X.

Diff Detail

Event Timeline

bcain created this revision.Apr 10 2020, 8:49 AM
Herald added a project: Restricted Project. · View Herald Transcript
ruiu accepted this revision.Apr 12 2020, 10:01 PM

LGTM

lld/ELF/Arch/Hexagon.cpp
168

You can remove the extraneous parentheses after return. Also, 0x0 should probably be just 0. Thus

return (0xC000 & insn) == 0;
This revision is now accepted and ready to land.Apr 12 2020, 10:01 PM
MaskRay accepted this revision.Apr 12 2020, 11:00 PM

LGTM, with the return (0xC000 & insn) == 0; change.

bcain updated this revision to Diff 257169.Apr 13 2020, 5:29 PM

Fixed per review comments: removed superfluous parens around return expression, changed 0x0 to just 0.